<?php
namespace Misuzu;

use Misuzu\Pagination;
use Misuzu\Users\User;
use Misuzu\Users\UserLoginAttempt;

$currentUser = User::getCurrent();

if($currentUser === null) {
    echo render_error(401);
    return;
}

$auditLog = $msz->getAuditLog();

$loginHistoryPagination = new Pagination(UserLoginAttempt::countAll($currentUser), 15, 'hp');
$accountLogPagination = new Pagination($auditLog->countLogs(userInfo: $currentUser), 15, 'ap');

$auditLogs = $auditLog->getLogs(userInfo: $currentUser, pagination: $accountLogPagination);

Template::render('settings.logs', [
    'login_history_list' => UserLoginAttempt::all($loginHistoryPagination, $currentUser),
    'login_history_pagination' => $loginHistoryPagination,
    'account_log_list' => $auditLogs,
    'account_log_pagination' => $accountLogPagination,
]);
